Summary: 	The client and server for the Trivial File Transfer Protocol (TFTP)
Name: 		tftp
Version: 	5.2
Release: 	%mkrel 17
License: 	BSD
Group: 		System/Servers
URL:		https://www.kernel.org/pub/software/network/tftp/
Source0: 	https://www.kernel.org/pub/software/network/tftp/tftp-hpa/tftp-hpa-%{version}.tar.bz2
Source1: 	tftp-xinetd
Source2:	tftp.socket
Source3:	tftp.service
Patch0: 	tftp-mips.patch
Patch1: 	tftp-0.40-remap.patch
Patch2: 	tftp-hpa-0.39-tzfix.patch
Patch3: 	tftp-0.42-tftpboot.patch
Patch4: 	tftp-0.49-chk_retcodes.patch
Patch5: 	tftp-hpa-0.49-fortify-strcpy-crash.patch
Patch6: 	tftp-0.49-cmd_arg.patch
Patch7: 	tftp-hpa-0.49-stats.patch
Patch8:		tftp-hpa-5.2-pktinfo.patch
Patch9:		tftp-doc.patch
Patch10:	tftp-enhanced-logging.patch
Patch11:	tftp-hpa-5.2-gcc10.patch
Patch12:	tftp-off-by-one.patch
Patch13:	tftp-c99.patch
Patch14:	tftp-hpa-5.2-osh.patch

BuildRequires:	tcp_wrappers-devel
BuildRequires:	pkgconfig(readline)
# For systemd macros
BuildRequires:	pkgconfig(libsystemd)


%description
The Trivial File Transfer Protocol (TFTP) is normally used only for booting
diskless workstations. The tftp package provides the user interface for TFTP,
which allows users to transfer files to and from a remote machine. This
program, and TFTP, provide very little security, and should not be enabled
unless it is expressly needed.

%package	server
Summary:	The server for the Trivial File Transfer Protocol (TFTP)
Group:		System/Servers
%{?systemd_requires}

%description	server
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. The tftp-server package provides the
server for TFTP, which allows users to transfer files to and from a
remote machine. TFTP provides very little security, and should not be
enabled unless it is expressly needed. The TFTP server is run by using
systemd socket activation, and is disabled by default.

%prep
%autosetup -p1 -n tftp-hpa-%{version}

%build
%serverbuild
autoreconf -fsv -I.
%configure
%make_build MCONFIG all

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man{1,8}
mkdir -p %{buildroot}%{_sbindir}

make INSTALLROOT=%{buildroot} MANDIR=%{_mandir} install
install -m755 -d %{buildroot}%{_sharedstatedir}/tftpboot/
install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/xinetd.d/tftp
install -p -m644 %{SOURCE2} -D %{buildroot}%{_unitdir}/tftp.socket
install -p -m644 %{SOURCE3} -D %{buildroot}%{_unitdir}/tftp.service

%files
%{_bindir}/tftp
%{_mandir}/man1/*

%files server
%doc README README.security CHANGES
%dir %{_sharedstatedir}/tftpboot
%config(noreplace) %{_sysconfdir}/xinetd.d/tftp
%{_sbindir}/in.tftpd
%{_mandir}/man8/*
%{_unitdir}/*

%post server
%systemd_post tftp.socket

%preun server
%systemd_preun tftp.socket

%postun server
%systemd_postun_with_restart tftp.socket


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 5.2-17.mga10
+ Revision: 2229536
- Mageia 10 Mass Rebuild

* Fri Oct 25 2024 daviddavid <daviddavid> 5.2-16.mga10
+ Revision: 2111116
- add fedora patches:
 * fix C99 compatibility issue
 * apply fixes to true positives reported by static analyzers from RHEL
 * fix off-by-one reads and writes when filename remapping with
   macro \x is used (Lukáš Zaoral)

* Thu Mar 24 2022 umeabot <umeabot> 5.2-15.mga9
+ Revision: 1824275
- Mageia 9 Mass Rebuild

* Mon Jul 06 2020 joequant <joequant> 5.2-14.mga8
+ Revision: 1602551
- build gcc10

* Wed Feb 19 2020 umeabot <umeabot> 5.2-13.mga8
+ Revision: 1542554
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jan 05 2020 tv <tv> 5.2-12.mga8
+ Revision: 1476631
- rebuild for new readline

* Sun Sep 23 2018 umeabot <umeabot> 5.2-11.mga7
+ Revision: 1301395
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 wally <wally> 5.2-10.mga7
+ Revision: 1189477
- rebuild for new readline

* Fri Dec 23 2016 ngompa <ngompa> 5.2-9.mga6
+ Revision: 1076596
- Move scriptlets to server subpackage

* Fri Dec 23 2016 ngompa <ngompa> 5.2-8.mga6
+ Revision: 1076592
- Patch sync from Fedora (proyvind)
- Switch to systemd socket activation (proyvind)
- Modernize spec

* Mon Feb 01 2016 umeabot <umeabot> 5.2-7.mga6
+ Revision: 929845
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.2-6.mga5
+ Revision: 740640
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.2-5.mga5
+ Revision: 689857
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.2-4.mga4
+ Revision: 519630
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 5.2-3.mga3
+ Revision: 384501
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 28 2011 dmorgan <dmorgan> 5.2-2.mga2
+ Revision: 188470
- Remove call to systemd as there is no services

* Mon Dec 19 2011 zezinho <zezinho> 5.2-1.mga2
+ Revision: 184408
- new version

* Mon Oct 17 2011 zezinho <zezinho> 5.1-1.mga2
+ Revision: 155820
- upgrade to latest upstream and add fedora patches to fix #1816

* Sat May 21 2011 ahmad <ahmad> 5.0-6.mga1
+ Revision: 100001
- Replace a reference to Mandriva with Mageia

* Fri Jan 21 2011 pterjan <pterjan> 5.0-5.mga1
+ Revision: 27916
- imported package tftp


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 5.0-5mdv2011.0
+ Revision: 607993
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 5.0-4mdv2010.1
+ Revision: 520282
- rebuilt for 2010.1

* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 5.0-3mdv2010.0
+ Revision: 450387
- fix __progname usage for mips build (from Arnaud Patard)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 5.0-2mdv2010.0
+ Revision: 427349
- rebuild

* Sun Mar 22 2009 Oden Eriksson <oeriksson@mandriva.com> 5.0-1mdv2009.1
+ Revision: 360449
- 5.0

* Thu Jan 15 2009 Jérôme Soyer <saispo@mandriva.org> 0.49-1mdv2009.1
+ Revision: 329770
- New upstream release

* Mon Aug 18 2008 Erwan Velu <erwan@mandriva.org> 0.48-1mdv2009.0
+ Revision: 273321
- 0.48

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.42-5mdv2009.0
+ Revision: 225690
- rebuild

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.42-4mdv2008.1
+ Revision: 179647
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.42-3mdv2007.1
+ Revision: 145574
- Import tftp

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.42-3mdv2007.1
- use the %%mrel macro

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.42-2mdk
- s/Mandrakelinux/Mandriva Linux/

* Fri Apr 21 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.42-1mdk
- New release 0.42
- fix prereq

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.40-3mdk
- Rebuild

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.40-2mdk
- rebuild for new readline
- fix summary-ended-with-dot

* Thu Dec 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.40-1mdk
- 0.40
- drop malta patch (P0)

* Wed May 05 2004 Juan Quintela <quintela@mandrakesoft.com> 0.36-1mdk
- 0.36.

* Tue Apr 06 2004 Michael Scherer <misc@mandrake.org> 0.34-2mdk
- removed forbidden word

